## cacti 1.2.16+ds1

=== debian/changelog ===
cacti (1.2.16+ds1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Paul Gevers <elbrus@debian.org>  Tue, 22 Jun 2021 18:46:09 +0200

cacti (1.2.16+ds1-2) unstable; urgency=medium

  * Add 0001-Fixing-Issue-4022.patch (Closes: #979998)
    - CVE-2020-35701: SQL injection via data_debug.php
  * Add 0001-Fixing-Issue-4019.patch
    There are a few places in the current code where an attacker, once
    having gained access to the Cacti database through a SQL injection,
    could modify data in tables to possibly expose an stored XSS bug in
    Cacti.

 -- Paul Gevers <elbrus@debian.org>  Sun, 17 Jan 2021 21:26:01 +0100

cacti (1.2.16+ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Paul Gevers <elbrus@debian.org>  Tue, 15 Dec 2020 21:37:28 +0100

cacti (1.2.16+ds1-1) unstable; urgency=medium

  * New upstream release 1.2.16

 -- Paul Gevers <elbrus@debian.org>  Fri, 11 Dec 2020 21:54:47 +0100

cacti (1.2.15+ds1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Paul Gevers <elbrus@debian.org>  Fri, 13 Nov 2020 19:56:56 +0100
