## cacti 1.2.19+ds1

=== debian/changelog ===
cacti (1.2.19+ds1-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. (LP: #1964653)
    Remaining changes:
    - General installing instructions update for NO_AUTO_CREATE_USER.
    - Use new dbconfig "dbc_authplugin" variable to mitigate MySQL 8 issues.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 10 Mar 2022 18:27:38 -0800

cacti (1.2.19+ds1-2) unstable; urgency=medium

  * Support cacti on PHP8.1 by incorporating upstream patches
  * Support the use of a csrf secret key out of the box

 -- Paul Gevers <elbrus@debian.org>  Sun, 19 Dec 2021 22:03:28 +0100

cacti (1.2.19+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.19+ds1
    - billboard.js replaces c3.*
    - Drop obsolete patches
    - Update 07_cli-include-path.patch to cover new cli
  * watch: update to scan github as the downloads page doesn't work
    anymore
  * Building documentation in .github fails, don't do that as it's not
    needed anyways
  * [tests] use upstreams version of check_all_pages, but adapted
  * [tests] run upstream check_cli_version.sh test

 -- Paul Gevers <elbrus@debian.org>  Mon, 22 Nov 2021 20:30:48 +0100

cacti (1.2.16+ds1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - General installing instructions update for NO_AUTO_CREATE_USER.
    - Use new dbconfig "dbc_authplugin" variable to mitigate MySQL 8 issues.
  * Dropped:
    - d/p/fix-32bit-ip-conversion.patch: fix netmask generation on 32bit
      architectures (LP #1865067)
      [Fixed in 1.2.11]
    - d/p/0001-PHP-7.4-Array-and-string-offset-access-syntax-with-c.patch
      + Fix deprecated curly bracket style syntax
      [Fixed in 1.2.11]

 -- Bryce Harrington <bryce@canonical.com>  Wed, 20 Jan 2021 12:17:39 -0800
