=== debian/tests/control ===
Test-Command: tests/tools/check_all_pages.sh
Depends: mariadb-server, @, wget, apache2
Restrictions: needs-root, allow-stderr, isolation-container
Features: test-name=check-all-pages-with-mariadb

Test-Command: tests/tools/check_all_pages.sh
Depends: mysql-server, @, wget, apache2
Restrictions: needs-root, allow-stderr, isolation-container, skip-not-installable
Features: test-name=check-all-pages-with-mysql

Test-Command: tests/tools/check_cli_version.sh
Depends: mariadb-server, @
Restrictions: needs-root, allow-stderr, isolation-container
Features: test-name=check-cli-version
