## cacti 1.2.20+ds1

=== debian/changelog ===
cacti (1.2.20+ds1-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1972833). Remaining changes:
    - General installing instructions update for NO_AUTO_CREATE_USER.
    - Use new dbconfig "dbc_authplugin" variable to mitigate MySQL 8 issues.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 10 May 2022 10:03:33 -0300

cacti (1.2.20+ds1-2) unstable; urgency=medium

  * Revert "Replace dependency on libjs-d3 by node-d3" (Opens: #913385)
    node-d3 isn't ready to replace libjs-d3 as it's not available on armel
    (bugs filed)

 -- Paul Gevers <elbrus@debian.org>  Fri, 22 Apr 2022 20:45:58 +0200

cacti (1.2.20+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.20+ds1
    CVE-2022-0730: Under certain ldap conditions, Cacti authentication can
    be bypassed with certain credential types. (Closes: #1008693)
  * d/copyright: update
  * strip away and replace some of the new midwinter theme like we do for
    other themes
  * Refresh patches and drop those that are part of 1.2.20
  * cacti.links: drop dejavu links as cacti now finds system fonts by
    itself
  * Replace dependency on libjs-d3 by node-d3 (Closes: #913385)
  * Replace broken package (Upstream bug: #4685)
  * Fix multiple issues with new cli scripts (detected by test suite
    failure)

 -- Paul Gevers <elbrus@debian.org>  Thu, 14 Apr 2022 10:16:39 +0200
