=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,10 @@
 
 	# make sure we catch new themes (that must be stripped from source and
 	# linked in)
-	for theme in classic dark modern paper-plane paw ; do \
-		if [ -f include/themes/$${theme}/jquery-ui.css ] ; then \
-			echo "New theme '$${theme}' found. Add it to d/copyright, d/cacti.links and d/cacti.linktrees" \
-			&& return 1 ; \
-		fi ; \
-	done
+	if [ -f include/themes/*/jquery-ui.css ] ; then \
+		echo "New theme found. Add it to d/copyright, d/cacti.links and d/cacti.linktrees" \
+		&& return 1 ; \
+	fi ; \
 
 	dh_clean
