## cacti 1.2.22+ds1

=== debian/changelog ===
cacti (1.2.22+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove empty maintainer scripts: cacti (preinst)

  [ Paul Gevers ]
  * Add 31bfd4b5c1d33af02911441111a430597b9f1021.patch to fix php8.2
    deprecation warnings (Closes: #1022229)

 -- Paul Gevers <elbrus@debian.org>  Wed, 02 Nov 2022 21:24:38 +0100

cacti (1.2.22+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.22+ds1
  * Update 07_cli-include-path.patch

 -- Paul Gevers <elbrus@debian.org>  Tue, 06 Sep 2022 21:53:38 +0200

cacti (1.2.21+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.21+ds1
  * Refresh and update old patch stack
  * Replace dependency on libjs-d3 by node-d3 (Closes: #913385)
  * README.Debian: reorder paragraphs (Closes: #979176)

 -- Paul Gevers <elbrus@debian.org>  Thu, 14 Jul 2022 17:05:21 +0200
