=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 	mkdir -p ${SITEDIR}/include/js/LC_MESSAGES
 	cd locales/po ; \
 	for file in *.po ; do \
-		language=$$(grep '^"Language: ' $${file} | cut -f2 -d' ' | cut -f1 -d"\\" | sed s/_/-/) ; \
+		language=$$(grep 'Language: ' $${file} | sed 's/.*Language: //' | sed 's/\\n.*//' | sed s/_/-/) ; \
 		if [ -z "$${language}" ] ; then echo "$${file} doesn't define its language" ; return 1 ; fi ; \
 		if [ -f /usr/share/javascript/jquery-ui/ui/i18n/datepicker-$${language}.min.js ] ; then \
 			ln -s \
