## cacti 1.2.23+ds1

=== debian/changelog ===
cacti (1.2.23+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.23+ds1
  * Refresh patches + drop patches from upstream
  * Install all templates during first install instead of only the ones
    from 2017
  * Fix upstream issue #5127: importing templates fails
  * Adapt check_all_pages testing to upstream changes by simplifying
    Debian changes
  * Fix ui-state-default color in classical theme (Closes: #972947)
  * Drop apache2.2 support (only in oldoldoldstable by now)
  * Drop debian/NEWS as it's old
  * Update and add several lintian overrides
  * Don't load external images in documentation to prevent privacy breach:
    remove-external-images.patch

 -- Paul Gevers <elbrus@debian.org>  Thu, 05 Jan 2023 10:25:44 +0100

cacti (1.2.22+ds1-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Update installing guides for NO_AUTO_CREATE_USER

  [ Paul Gevers ]
  * Add 7f0e16312dd5ce20f93744ef8b9c3b0f1ece2216.patch to fix
    CVE-2022-46169 (Closes: #1025648)
  * Update debian.php.dist for the fix above to incorporate the
    configuration changes in the package defaults

 -- Paul Gevers <elbrus@debian.org>  Tue, 06 Dec 2022 22:16:33 +0100
