=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: cacti
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>
+Maintainer: Cacti Maintainer <pkg-cacti-maint@lists.alioth.debian.org>
 Uploaders: Paul Gevers <elbrus@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-linktree (>=0.5~),
+               dh-linktree,
                libjs-jquery-colorpicker,
                libjs-jquery-jstree,
                libjs-jquery-ui-theme-south-street,
                libjs-jquery-ui-theme-ui-darkness,
                libjs-jquery-ui-theme-smoothness,
                gettext,
-               pandoc (>= 2),
+               pandoc,
                po-debconf,
 Rules-Requires-Root: binary-targets
 Homepage: https://www.cacti.net/
 Vcs-Browser: https://salsa.debian.org/cacti-team/cacti
 Vcs-Git: https://salsa.debian.org/cacti-team/cacti.git
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 
 Package: cacti
 Architecture: all
-Depends: dbconfig-common (>= 2.0.9~),
+Depends: dbconfig-common,
          dbconfig-mysql | dbconfig-no-thanks,
          fonts-dejavu-core,
          fonts-dejavu-extra,
@@ -30,12 +29,12 @@
          javascript-common,
          libapache2-mod-php | php,
          libjs-chart.js,
-         libjs-d3,
-         libjs-jquery (>= 1.10),
+         node-d3,
+         libjs-jquery,
          libjs-jquery-cookie,
          libjs-jquery-hotkeys,
          libjs-jquery-metadata,
-         libjs-jquery-tablesorter (>= 1:2.28.9+dfsg1~),
+         libjs-jquery-tablesorter,
          libjs-jquery-timepicker,
          libjs-jquery-ui,
          libjs-jquery-ui-touch-punch,
