=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	find ${SITEDIR}/ -type f -exec chmod 644 {} \;
 	find ${SITEDIR}/scripts -type f -exec chmod 755 {} \;
 	# and then fix the special case files
+	chmod 644 ${SITEDIR}/scripts/.htaccess
 	find ${SITEDIR}/scripts -type f -name '*.php' -exec chmod 644 {} \;
 	find ${SHAREDIR}/cli -type f -print0 | xargs -0 file | \
 		grep -e /usr/bin/php -e "a /usr/bin/env php script, ASCII text executable" | \
@@ -100,5 +101,5 @@
 
 override_dh_compress:
 	# I actually want to use dh_compress -X changelog, but I can't find how to NOT match changelog.Debian
-	gzip -9 ${TDIR}/usr/share/doc/cacti/changelog.Debian
-	gzip -9 ${TDIR}/usr/share/doc/cacti/NEWS.Debian
+	dh_compress
+	gunzip ${TDIR}/usr/share/doc/cacti/changelog.gz
