## cacti 1.2.24+ds1

=== debian/changelog ===
cacti (1.2.24+ds1-1+deb12u5) bookworm-security; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2024-27082: Stored XSS vulnerability.
  * Fix CVE-2024-43362: XSS (Cross-Site Scripting) Vulnerability.
    The `fileurl` parameter is not properly sanitized when
    saving external links in `links.php` . Morever, the said
    fileurl is placed in some html code which is passed to
    the `print` function in `link.php` and `index.php`,
    finally leading to stored XSS
  * Fix CVE-2024-43363: Remote Code Execution (RCE) by
    log poisoning. An admin user can create a device with
    a malicious hostname containing php code and repeat
    the installation process to use a php file as the
    cacti log file. After having the malicious hostname end
    up in the logs (log poisoning), one can simply go to the
    log file url to execute commands to achieve RCE.
  * Fix CVE-2024-43364: Stored XSS (Cross-Site Scripting) Vulnerability.
    The `title` parameter is not properly sanitized when
    saving external links in links.php . Morever, the said
    title parameter is stored in the database and reflected back
    to user in index.php, finally leading to stored XSS.
  * Fix CVE-2024-43365: Stored XSS (Cross-Site Scripting) Vulnerability.
    The`consolenewsection` parameter is not properly sanitized
    when saving external links in links.php . Morever, the said
    consolenewsection parameter is stored in the database and
    reflected back to user in `index.php`, finally leading
    to stored XSS.
  * Fix CVE-2024-45598: Local File Inclusion (LFI) Vulnerability
    via Poller Standard Error Log Path.
    An admin can change Poller Standard Error Log Path parameter in
    either Installation Step 5 or in Configuration->Settings->Paths tab
    to a local file inside the server. Then simply going to Logs tab and
    selecting the name of the local file will show its content
    on the web UI.
  * Fix CVE-2024-54145: SQL Injection vulnerability when request
    automation devices.
    A SQL injection vulnerability in get_discovery_results function
    of automation_devices.php.paramter networkconcat into
    sql_wherewithout Sufficient filtration.
  * Fix CVE-2025-22604: Authenticated RCE via multi-line SNMP responses
    Due to a flaw in multi-line SNMP result parser, authenticated users
    can inject malformed OIDs in the response. When processed by
    ss_net_snmp_disk_io() or ss_net_snmp_disk_bytes(), a part of each
    OID will be used as a key in an array that is used as part of a
    system command, causing a command execution vulnerability.
  * Fix CVE-2025-24367: Arbitrary File Creation leading to RCE
    An authenticated Cacti user can abuse graph creation and graph
    template functionality to create arbitrary PHP scripts in the
    web root of the application, leading to remote code
    execution on the server.
  * Fix CVE-2025-24368: SQL Injection vulnerability when using
    tree rules through Automation API
    Some of the data stored in automation_tree_rules.php is not
    thoroughly checked and is used to concatenate the SQL statement in
    build_rule_item_filter() function from lib/api_automation.php ,*
    finally resulting in SQL injection.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 09 Feb 2025 14:36:48 +0000

cacti (1.2.24+ds1-1+deb12u4) bookworm; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add SALSA-CI.
  * Backport autopkgtest from trixie.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 24 Aug 2024 14:04:49 +0000

cacti (1.2.24+ds1-1+deb12u3) bookworm; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2024-25641: RCE vulnerability when importing packages
    An arbitrary file write vulnerability, exploitable through the
    "Package Import" feature, allows authenticated users having
    the "Import Templates" permission to execute arbitrary PHP
    code on the web server (RCE).
  * Fix CVE-2024-29894: XSS vulnerability when using JavaScript
    based messaging API.
    raise_message_javascript from lib/functions.php now uses purify.js
    to fix CVE-2023-50250 (among others).
    However it still generates the code out of unescaped
    PHP variables $title and $header.
    If those variables contain single quotes, they can be used
    to inject JavaScript code.
  * Fix CVE-2024-31443. XSS vulnerability when managing data queries
    Some of the data stored in form_save() function in data_queries.php
    is not thoroughly checked and is used to concatenate the
    HTML statement in grow_right_pane_tree() function from lib/html.php,
    finally resulting in XSS.
  * Fix CVE-2024-31444: XSS vulnerability when reading tree rules with
    Automation API.
    Some of the data stored in automation_tree_rules_form_save() function
    in automation_tree_rules.php is not thoroughly checked and is used
    to concatenate the HTML statement in form_confirm() function from
    lib/html.php , finally resulting in XSS.
  * Fix CVE-2024-31445: SQL injection vulnerability
    A SQL injection vulnerability in `automation_get_new_graphs_sql`
    function of `api_automation.php` allows authenticated users to exploit
    these SQL injection vulnerabilities to perform privilege escalation
    and remote code execution. In `api_automation.php` line 856, the
    `get_request_var('filter')` is being concatenated into the SQL
    statement without any sanitization. In `api_automation.php` line 717,
    The filter of `'filter'` is `FILTER_DEFAULT`, which means there is no
    filter for it
  * Fix CVE-2024-31458: SQL injection vulnerability
    Some of the data stored in `form_save()` function in
    `graph_template_inputs.php` is not thoroughly checked and is used to
    concatenate the SQL statement in
    `draw_nontemplated_fields_graph_item()` function from
    `lib/html_form_templates.php` , finally resulting in SQL injection
  * Fix CVE-2024-31459: Remote code execution

