=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	chmod 644 ${SITEDIR}/scripts/.htaccess
 	find ${SITEDIR}/scripts -type f -name '*.php' -exec chmod 644 {} \;
 	find ${SHAREDIR}/cli -type f -print0 | xargs -0 file | \
-		grep -e /usr/bin/php -e "a /usr/bin/env php script, ASCII text executable" | \
+		grep -e /usr/bin/php -e "php script, ASCII text executable" | \
 		cut -d: -f1 | xargs chmod 755
 
 	dh_fixperms
@@ -103,3 +103,5 @@
 	# I actually want to use dh_compress -X changelog, but I can't find how to NOT match changelog.Debian
 	dh_compress
 	gunzip ${TDIR}/usr/share/doc/cacti/changelog.gz
+	# This should be part of cacti.links, but also the link gets compressed
+	ln -s ../../doc/cacti/changelog ${TDIR}/usr/share/cacti/site/CHANGELOG
