=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1,\
compression=gzip,\
dversionmangle=s/\+ds(\d*)//,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
https://github.com/Cacti/cacti/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

opts=\
component=docs-source,\
dversionmangle=s/~beta/-beta/;s/\+ds(\d*)//,\
uversionmangle=s/-beta/~beta/ \
https://github.com/Cacti/documentation/tags \
(?:.*?/)?(\d[-\d.A-Za-z]*)\.tar\.gz
