## cacti 1.2.25+ds1

=== debian/changelog ===
cacti (1.2.25+ds1-2) unstable; urgency=medium

  * change upstream CHANGELOG logic to accommodate Ubuntu FTBFS
  * Update Vcs to point at Debian namespace to invite others

 -- Paul Gevers <elbrus@debian.org>  Thu, 21 Sep 2023 12:56:55 +0200

cacti (1.2.25+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.25+ds1
    Fixes the following vulnerabilities: CVE-2023-39516,
    CVE-2023-39515, CVE-2023-39514, CVE-2023-39513, CVE-2023-39512,
    CVE-2023-39510, CVE-2023-39366, CVE-2023-39365, CVE-2023-39364,
    CVE-2023-39362, CVE-2023-39361, CVE-2023-39360, CVE-2023-39359,
    CVE-2023-39358, CVE-2023-39357 and CVE-2023-30534
  * Refresh patches

 -- Paul Gevers <elbrus@debian.org>  Wed, 06 Sep 2023 20:58:14 +0200
