=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                po-debconf,
 Rules-Requires-Root: binary-targets
 Homepage: https://www.cacti.net/
-Vcs-Browser: https://salsa.debian.org/cacti-team/cacti
-Vcs-Git: https://salsa.debian.org/cacti-team/cacti.git
+Vcs-Browser: https://salsa.debian.org/debian/cacti
+Vcs-Git: https://salsa.debian.org/debian/cacti.git
 Standards-Version: 4.6.1
 
 Package: cacti
@@ -30,7 +30,6 @@
          libapache2-mod-php | php,
          libjs-chart.js,
          node-d3,
-         node-dompurify,
          libjs-jquery,
          libjs-jquery-cookie,
          libjs-jquery-hotkeys,
