=== debian/rules ===
--- 
+++ 
@@ -100,8 +100,8 @@
 	cd ${SITEDIR}/include/vendor/csrf && rm -f LICENSE.txt NEWS.md README.md
 
 override_dh_compress:
-	# I actually want to use dh_compress -X changelog, but I can't find how to NOT match changelog.Debian
 	dh_compress
-	gunzip ${TDIR}/usr/share/doc/cacti/changelog.gz
-	# This should be part of cacti.links, but also the link gets compressed
-	ln -s ../../doc/cacti/changelog ${TDIR}/usr/share/cacti/site/CHANGELOG
+	# Remove compressed upstream changelog, if it exists
+	rm -f ${TDIR}/usr/share/doc/cacti/changelog.gz
+	# Replace it with a symlink to /usr/cacti/site/CHANGELOG
+	ln -s ../../cacti/site/CHANGELOG ${TDIR}/usr/share/doc/cacti/changelog
