## cacti 1.2.26+ds1

=== debian/changelog ===
cacti (1.2.26+ds1-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: remote code execution issue
    - debian/patches/CVE-2024-25641.patch: fix RCE exploitable through the
      "Package Import" feature
    - debian/patches/CVE-2024-31459.patch: fix file inclusion issue in the
      lib/plugin.php
    - CVE-2024-25641
    - CVE-2024-31459
  * SECURITY UPDATE: cross-site scripting issue
    - debian/patches/CVE-2024-29894-1.patch: fix `raise_message_javascript`
      from `lib/functions.php`
    - debian/patches/CVE-2024-29894-2.patch: remaining fix
      `raise_message_javascript` from `lib/functions.php`
    - debian/patches/CVE-2024-31443.patch: fix HTML statement in
      `grow_right_pane_tree()` function from `lib/html.php`
    - debian/patches/CVE-2024-31444.patch: fix
      automation_tree_rules_form_save() function in automation_tree_rules.php
    - CVE-2024-29894
    - CVE-2024-31443
    - CVE-2024-31444
  * SECURITY UPDATE: sql injection issue
    - debian/patches/CVE-2024-31445.patch: fix `automation_get_new_graphs_sql`
      function of `api_automation.php`
    - debian/patches/CVE-2024-31458.patch: fix `form_save()` function in
      `graph_template_inputs.php`
    - debian/patches/CVE-2024-31460.patch: fix `create_all_header_nodes()`
      function from `lib/api_automation.php`
    - CVE-2024-31445
    - CVE-2024-31458
    - CVE-2024-31460
  * SECURITY UPDATE: type juggling issue
    - debian/patches/CVE-2024-34340.patch: fix issue in `compat_password_verify`
      method
    - CVE-2024-34340
  * debian/tests/check-all-pages: update filtered log for
    /var/log/cacti/cacti.log test

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 19 Aug 2024 17:45:43 +0530

cacti (1.2.26+ds1-1) unstable; urgency=medium

  * postinst/postrm: ensure DEBHELPER content is always run
  * New upstream version 1.2.26+ds1
    Fixes the following vulnerabilities: CVE-2023-49084, CVE-2023-49085,
    CVE-2023-49086, CVE-2023-49088 CVE-2023-46490, CVE-2023-51448 and
    CVE-2023-50250 (Closes: #1059254, #1059286)
  * font-awesom-path.patch: refresh
  * Depends on node-dompurify and link purify.js instead of using upstream
    vendored version

 -- Paul Gevers <elbrus@debian.org>  Sun, 24 Dec 2023 21:46:33 +0100
