## cacti 1.2.27+ds1

=== debian/changelog ===
cacti (1.2.27+ds1-2ubuntu1) oracular; urgency=medium

  * SECURITY UPDATE: remote code execution issue
    - debian/patches/CVE-2024-25641.patch: fix RCE exploitable through the
      "Package Import" feature
    - CVE-2024-25641

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 19 Aug 2024 17:42:05 +0530

cacti (1.2.27+ds1-2) unstable; urgency=medium

  * tests: update expected log messages

 -- Paul Gevers <elbrus@debian.org>  Fri, 17 May 2024 20:45:35 +0200

cacti (1.2.27+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.27+ds1
    Fixes the following vulnerabilities: CVE-2024-27082, CVE-2024-29894,
    CVE-2024-31443, CVE-2024-31444, CVE-2024-31445, CVE-2024-31458,
    CVE-2024-31459, CVE-2024-31460 and CVE-2024-34340
  * Bump copyright years

 -- Paul Gevers <elbrus@debian.org>  Thu, 16 May 2024 19:39:10 +0200
