## cacti 1.2.28+ds1

=== debian/changelog ===
cacti (1.2.28+ds1-4ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Fix malformed SQL file autopkgtest error with MySQL 8.4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 19:43:46 -0600

cacti (1.2.28+ds1-4) unstable; urgency=medium

  * Add Romanian translation for debconf templates (Closes: #1038924)
  * Adapt and apply 0001-QA-1.2.29-Security-Updates-6074.patch
    CVE-2024-45598 CVE-2024-54145 CVE-2024-54146 CVE-2025-22604
    CVE-2025-24367 CVE-2025-24368
    (Closes: #1094574)

 -- Paul Gevers <elbrus@debian.org>  Wed, 29 Jan 2025 21:01:27 +0100

cacti (1.2.28+ds1-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Fix malformed SQL file autopkgtest error with MySQL 8.4

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 27 Jan 2025 10:53:53 -0300

cacti (1.2.28+ds1-3) unstable; urgency=medium

  * gbp.conf: fix to hopefully enable salsa-ci
  * salsa-ci.yml: add again now maybe gbp.conf is fixed
  * tests: don't store all the pages, that's huge
  * E_STRICT got deprecated in php8.4 poluting the log (Closes: #1089723)

 -- Paul Gevers <elbrus@debian.org>  Thu, 12 Dec 2024 14:36:15 +0100

cacti (1.2.28+ds1-2ubuntu1) plucky; urgency=medium

  * Fix malformed SQL file autopkgtest error with MySQL 8.4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Dec 2024 20:01:02 -0600

cacti (1.2.28+ds1-2) unstable; urgency=medium

  * tests: don't save access.log, it's so big artifacts aren't available
  * tests: update filter for new output

 -- Paul Gevers <elbrus@debian.org>  Sat, 12 Oct 2024 09:43:21 +0100

cacti (1.2.28+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.28+ds1
  * d/patches: refresh

 -- Paul Gevers <elbrus@debian.org>  Wed, 09 Oct 2024 14:12:37 +0200
