=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
-Test-Command: tests/tools/check_all_pages.sh
+Test-Command: debian/tests/check_all_pages
 Depends: mariadb-server, @, wget, apache2
 Restrictions: needs-root, allow-stderr, isolation-container
 Features: test-name=check-all-pages-with-mariadb
 
-Test-Command: tests/tools/check_all_pages.sh
+Test-Command: debian/tests/check_all_pages
 Depends: mysql-server, @, wget, apache2
 Restrictions: needs-root, allow-stderr, isolation-container, skip-not-installable
 Features: test-name=check-all-pages-with-mysql
