## cacti 1.2.30+ds1

=== debian/changelog ===
cacti (1.2.30+ds1-1) unstable; urgency=medium

  * New upstream version 1.2.30+ds1 which fixes CVE-2025-26520
    (Closes: #1095721)
  * Drop patches taken from upstream
  * Add Catalan translation for debconf templates

 -- Paul Gevers <elbrus@debian.org>  Sat, 05 Apr 2025 11:12:16 +0200
