=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
          libapache2-mod-php | php,
          libjs-chart.js,
          node-d3,
+         node-dompurify,
          libjs-jquery,
          libjs-jquery-cookie,
          libjs-jquery-hotkeys,
