=== debian/rules ===
--- 
+++ 
@@ -89,8 +89,8 @@
 override_dh_install:
 	dh_install
 	# Somewhere deep we don't want to install some files, remove them here
-	cd ${SITEDIR}/include/vendor/flag-icon-css ; \
-		rm -rf assets *.json Gruntfile.coffee index.html less LICENSE README.md sass svgo.yaml yarn.lock
+	cd ${SITEDIR}/include/vendor/flag-icons ; \
+		rm -rf 404.html assets CHANGELOG.m CNAME *.json index.html *.py less LICENSE README.md sass svgo.config.js yarn.lock
 
 	# Because we skip the install web page, we need to add some paths and other
 	# items to the cacti settings. To avoid putting this in a patch, let's add
